Package Details: python33 3.3.7-1

Git Clone URL: https://aur.archlinux.org/python33.git (read-only)
Package Base: python33
Description: Major release 3.3 of the Python high-level programming language
Upstream URL: https://www.python.org/
Licenses: custom
Submitter: g.schulz
Maintainer: None
Last Packager: yan12125
Votes: 12
Popularity: 0.000024
First Submitted: 2014-04-05 13:37
Last Updated: 2017-09-26 08:54

Dependencies (17)

Required by (0)

Sources (2)

Latest Comments

yan12125 commented on 2017-09-29 12:27

Disowned as Python 3.3.x is no longer supported by upstream [1]:

> all support for the 3.3 series of releases ends on 2017-09-29

[1] https://www.python.org/downloads/release/python-337/

yan12125 commented on 2017-09-26 09:39

Hello, I updated this package to 3.3.7 and it builds fine on my machine. Could you try again with the latest version? If it doesn't work, you may want to change this line:

"${srcdir}/Python-${pkgver}/python" -m test.regrtest -x \

into:

"${srcdir}/Python-${pkgver}/python" -m test.regrtest -v -x \

To see what's broken.

Commod0re commented on 2017-09-25 19:52

I'm getting a failure for test_gdb:

[131/372] test_gdb
test test_gdb failed -- multiple errors occurred; run in verbose mode for details

yan12125 commented on 2017-02-05 08:31

Adopted and updated

bradpitcher commented on 2016-11-03 03:45

Working package here: https://github.com/brad/aur-python33

pingveno commented on 2016-10-24 22:33

A fix for the expat issue can be found here:

https://github.com/python/cpython/commit/cbdb7791b1ba1e23c069bbdc644004f53a4814a4

Agt commented on 2016-08-01 09:38

I have the same issue as levitsky.

levitsky commented on 2016-07-28 19:11

Hi, I am getting a failure for test_pyexpat:

[251/372] test_pyexpat
test test_pyexpat failed -- Traceback (most recent call last):
File "/tmp/yaourt-tmp-lev/aur-python33/src/Python-3.3.6/Lib/test/test_pyexpat.py", line 607, in test2
parser.Parse(xml, True)
xml.parsers.expat.ExpatError: XML declaration not well-formed: line 1, column 13

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/tmp/yaourt-tmp-lev/aur-python33/src/Python-3.3.6/Lib/test/test_pyexpat.py", line 610, in test2
self.assertEqual(str(e), 'XML declaration not well-formed: line 1, column 14')
AssertionError: 'XML declaration not well-formed: line 1, column 13' != 'XML declaration not well-formed: line 1, column 14'
- XML declaration not well-formed: line 1, column 13
? ^
+ XML declaration not well-formed: line 1, column 14
?

Any ideas?

SpotlightKid commented on 2016-04-02 20:28

Well, then don't run that proxy! ;)

It probably makes the test think that 'ftp://localhost/a/file/which/doesnot/exists.py' is URL pointing to a valid resource.

Alternatively, turn off the tests with the command as shown in my comment below.

kdiogenes commented on 2016-04-02 20:22

@SpotlightKid this is the error I'm getting: http://pastebin.com/Tiks8Aqa

I'm running cnltm proxy and my machine is using it, probably the problem is related with this.

All comments